Skip to main content
GET
/
api
/
v1
/
monitors
/
{id}
/
results
/
summary
Get results summary
curl --request GET \
  --url https://api.devhelm.io/api/v1/monitors/{id}/results/summary \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.devhelm.io/api/v1/monitors/{id}/results/summary"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.devhelm.io/api/v1/monitors/{id}/results/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "latestPerRegion": [
    {
      "region": "us-east",
      "passed": true,
      "timestamp": "2023-11-07T05:31:56Z",
      "responseTimeMs": 95,
      "severityHint": "<string>"
    }
  ],
  "chartData": [
    {
      "bucket": "2026-03-12T10:00:00Z",
      "uptimePercent": 100,
      "avgLatencyMs": 120.3,
      "p95LatencyMs": 250,
      "p99LatencyMs": 480
    }
  ],
  "uptime24h": 99.95,
  "uptimeWindow": 99.8
}
{
"data": {
"latestPerRegion": [
{
"region": "us-east",
"passed": true,
"timestamp": "2023-11-07T05:31:56Z",
"responseTimeMs": 95,
"severityHint": "<string>"
}
],
"chartData": [
{
"bucket": "2026-03-12T10:00:00Z",
"uptimePercent": 100,
"avgLatencyMs": 120.3,
"p95LatencyMs": 250,
"p99LatencyMs": 480
}
],
"uptime24h": 99.95,
"uptimeWindow": 99.8
}
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"data": {
"latestPerRegion": [
{
"region": "us-east",
"passed": true,
"timestamp": "2023-11-07T05:31:56Z",
"responseTimeMs": 95,
"severityHint": "<string>"
}
],
"chartData": [
{
"bucket": "2026-03-12T10:00:00Z",
"uptimePercent": 100,
"avgLatencyMs": 120.3,
"p95LatencyMs": 250,
"p99LatencyMs": 480
}
],
"uptime24h": 99.95,
"uptimeWindow": 99.8
}
}
{
"data": {
"latestPerRegion": [
{
"region": "us-east",
"passed": true,
"timestamp": "2023-11-07T05:31:56Z",
"responseTimeMs": 95,
"severityHint": "<string>"
}
],
"chartData": [
{
"bucket": "2026-03-12T10:00:00Z",
"uptimePercent": 100,
"avgLatencyMs": 120.3,
"p95LatencyMs": 250,
"p99LatencyMs": 480
}
],
"uptime24h": 99.95,
"uptimeWindow": 99.8
}
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}

Authorizations

Authorization
string
header
required

API key (dh_live_...) or Auth0 JWT token

Path Parameters

id
string<uuid>
required

Query Parameters

chartWindow
enum<string>

Chart window: 24h returns hourly buckets, 7d/30d/90d return daily buckets

Available options:
24h,
7d,
30d,
90d

Response

Results summary

Dashboard summary: current status, per-region latest results, and chart data

currentStatus
enum<string>
required

Derived current status across all regions

Available options:
up,
degraded,
down,
paused,
unknown
latestPerRegion
object[]
required

Latest check result per region

chartData
object[]
required

Time-bucketed chart data for the requested window

uptime24h
number<double> | null

Uptime percentage over the last 24 hours; null when no data

Example:

99.95

uptimeWindow
number<double> | null

Uptime percentage for the selected chart window; null when no data

Example:

99.8